### Method

# Gio DBusMethodInvocation get_user_data

since: 2.26

#### Declaration

    gpointer
    g_dbus_method_invocation_get_user_data (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets the `user_data` #gpointer passed to g_dbus_connection_register_object().

Available since: 2.26

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

A #gpointer.

The data is owned by the instance.
The return value can be `NULL`.